﻿@model eCommerce.ViewModels.ContactViewModel

@{
    //Layout = "~/Views/Shared/_LayoutMenu.cshtml";
    ViewBag.Title = "Contacto";
}
<style>
    input[type="number"]::-webkit-outer-spin-button,
    input[type="number"]::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0;
    }

    input[type="number"] {
        -moz-appearance: textfield;
    }

    #map {
        z-index: 0;
    }
</style>

<link rel="stylesheet" href="https://unpkg.com/leaflet@1.6.0/dist/leaflet.css"
      integrity="sha512-xwE/Az9zrjBIphAcBb3F6JVqxf46+CDLwfLMHloNu6KEQCAWi6HcDUbeOfBIptF7tcCzusKFjFw2yuvEpDL9wQ=="
      crossorigin="" />
<script src="https://unpkg.com/leaflet@1.6.0/dist/leaflet.js"
        integrity="sha512-gZwIG9x3wUXg2hdXF6+rVkLF/0Vi9U8D2Ntg4Ga5I5BZpVkVxlJWbSQtXPSiUTtC0TjtGOmxa1AJPuV0CPthew=="
        crossorigin=""></script>

@*<img src="~/Content/images/BannerContacto-desktop.jpg" class="-desktop" alt="Alternate Text" />
    <img src="~/Content/images/BannerContacto-mobile.jpg" class="-mobile" alt="Alternate Text" />*@

<div class="shop-breadcrumb hidden-xs" style="margin: 0.5rem 0 1rem;">
    <div class="shop-breadcrumb-crumb" ">


        <a href="/Contacto" class="shop-breadcrumb__item">Contacto</a>
        <span class="shop-breadcrumb__separator"> <i class="fas fa-chevron-right" style="font-size:10px"></i> </span>
        <a href="/" class="shop-breadcrumb__item">Home</a>

    </div>
</div>

<div class="shop-breadcrumb visible-xs" style="margin: 0.5rem 0 1rem; margin-left: -1.5rem;">
    <div class="shop-breadcrumb-crumb" style="justify-content: flex-end;">


        <a href="/Contacto" class="shop-breadcrumb__item">Contacto</a>
        <span class="shop-breadcrumb__separator"> <i class="fas fa-chevron-right" style="font-size:10px"></i> </span>
        <a href="/" class="shop-breadcrumb__item">Home</a>

    </div>
</div>

<div class="map-container">
    <div id="map">
        <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d7808.248901974317!2d-58.48824169617124!3d-34.63034356732923!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x95bcc99546769e49%3A0x4d754ad5ca377710!2sFloresta%2C%20CABA!5e0!3m2!1ses-419!2sar!4v1615391428625!5m2!1ses-419!2sar" width="100%" height="450" frameborder="0" style="border:0;" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>
        
    </div>

    <form id="frmContact" class="contact-form" method="post">

        <h3>Hacenos tu consulta!</h3>

        <div class="form-div">
            <input type="text" class="le-input" placeholder="Nombre" name="Name" id="txtName">
        </div>
        <div class="form-div">
            <input type="text" class="le-input" placeholder="E-mail" name="Email" id="txtEmail">
        </div>
        <div class="form-div">
            <input type="text" class="le-input" placeholder="Teléfono" name="Phone" id="txtPhone">
        </div>
        @*<div class="form-div">
                <label id="lblSubject">Asunto</label>
                <input type="text" class="le-input" name="Subject" id="Subject">
            </div>*@
        <div class="form-div-full">
            <textarea rows="1" class="le-input" placeholder="Mensaje" name="Message" id="txtMessage"></textarea>
        </div>
        @*<div class="g-recaptcha" data-sitekey="6LecatoZAAAAAPbJ9k4kkiADgFV_-5CkTdJL720g"></div>*@
        <div class="margin-top-10"></div>
        <div class="buttons-holder">
            <button id="sendbtn" type="button" class="le-button huge" onclick="Send()">Enviar</button>
        </div>
    </form>

    <div class="store-information">
        <div class="store-information__content">
            <p>¿Dónde estamos?</p>
            <ul>
                <li>Floresta, Bs As, CABA</li>
                
            </ul>
        </div>

        <div class="store-information__content">
            <p>Contactanos</p>
            <ul>
                <li>011 5875-6673</li>
                <li>blancoparisfabricantes@gmail.com</li>
            </ul>
        </div>
    </div>

</div>

<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.css" rel="stylesheet" />


@section Scripts {

    <script type="text/javascript">
        function Send() {

            $("#sendbtn").attr("disabled", true);
            if (isValidContact()) {
                $.ajax({
                    type: "POST",
                    cache: false,
                    url: "/Institucional/Contacto",
                    data: $("#frmContact").serializeArray(),
                    success: function (data) {

                        if (data.success) {
                            toastr.success("Listo! Tu mensaje ha sido enviado.");
                            clearForm();
                        } else {
                            toastr.warning("reCAPTCHA Invalido");
                        }

                    }
                });
            }
        }

        $('.js-subject').change(function () {
            var value = $(this).val();
            if (value == 3 || value == 2) {
                $('.js-order-id').removeClass('hide');
            }
            else {
                $('.js-order-id').addClass('hide');
            }

        });

        $('.js-plus').click(function () {

            if ($(this).hasClass('first')) {
                var item = $(this).closest('.contact-section').find('#frmContact');
            }
            else {
                var item = $(this).closest('.contact-section').find('.text-light');
            }

            if ($(this).text() == "+") {
                item.css('display', 'block');
                item.slideDown(400);
                $(this).text("-");
            }
            else {
                item.css('display', 'none');
                item.slideUp(400);
                $(this).text("+");
            }

        });

        $(document).ready(function () {
            $('.js-plus').click();



        });



        function clearForm() {
            $("#txtName").val("");
            $("#txtEmail").val("");
            $("#txtSubject").val("");
            $("#txtPhone").val("");
            $("#txtMessage").val("");
        }

        function isValidContact() {

            var isValid = true;
            var nombre = $("#txtName").val();
            var email = $("#txtEmail").val();
            var consulta = $("#txtMessage").val();
            var telefono = $("#txtPhone").val();

            if (nombre.length == 0) {
                $("#txtName").addClass("required");
                isValid = false;
            }
            else
                $("#txtName").removeClass("required");



            if (consulta.length == 0) {
                $("#txtMessage").addClass("required");
                isValid = false;
            }
            else
                $("#txtMessage").removeClass("required");

            if (telefono.length == 0) {
                $("#txtPhone").addClass("required");
                isValid = false;
            }
            else
                $("#txtPhone").removeClass("required");

            if (email.length == 0 || !isValidEmailAddress(email)) {
                $("#txtEmail").addClass("required");
                if (isValid) {
                    toastr.warning("El formato del email es incorrecto.");
                    return false;
                }
                else {
                    isValid = false;
                }
            }
            else
                $("#txtEmail").removeClass("required");

            if (!$('.js-order-id').hasClass('hide')) {
                if ($('#txtOrderId').val() == "") {
                    $("#txtOrderId").addClass("required");
                    isValid = false;
                } else {
                    $("#txtOrderId").removeClass("required");
                }
            }

            if (!isValid)
                toastr.warning("Complete los datos obligatorios.");

            $("#sendbtn").attr("disabled", false);
            return isValid;
        }

                    //function isValidEmailAddress(emailAddress) {
                    //    var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
                    //    return pattern.test(emailAddress);
                    //}

    </script>

}
